2019-10-21 18:34 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001588FSSCPPilot datapublic2013-03-24 05:16
ReporterARSPR 
Assigned ToZacam 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDELL Dimension 9200OSWindows VistaOS VersionUltimate 32-bit
Product Version3.6.9 
Target VersionFixed in Version3.7.0 
Summary0001588: A corrupted pilot forces "Player (ThePilotName) must select a place in player wing"
DescriptionAt the end of the mission loading (the loading bar is full) a in-game pop up windows appears saying:

"Player (ThePilotName) must select a place in player wing"

This window has got an accept button but it doesn't do anything. The game is fully hanged here. You can't go to any other place.

(I cannot upload a screenshot because Print Screen doesn't work here. It neither saves the screen in screenshots folder nor copies it in clipboard).

If I create a new pilot the mission loads fine.
Steps To ReproduceGrab the attached mission (it just contains all the Shivan ships) and the attached pilot.

Install them.

Select the mission in simulator > Single missions.
Additional InformationI don't know how or when the pilot got corrupted. Sorry :(

I'm posting this report because I'd NEVER seen a corruption issue like this one. ?????
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008902

taylor (administrator)

I did find the problem here, but I haven't quite decided how to handle it yet. Technically it's just a freakish pilot file bug, and this shouldn't happen normally, but we do need to handle it either way. The popup works like it should, and the fact that it doesn't go away is simply because of the pilot file issue, along with the fact that the mission doesn't have a briefing, creates a situation where you get stuck in a state loop where it just keeps bringing up the popup again and again when you click on "Ok".

So the decision is on whether to make it so the pilot related problem gets fixed, or make it so the popup in question can fix itself. I don't plan on messing with how the popup is handled if I can help it, since there is nothing technically wrong with what it's doing. If possible I will try to make the code catch the pilot file issue and then automatically set some sane defaults. If it doesn't appear that I can catch all instances of it on the pilot file side then I will have to put an additional catch in with the popup so that it can avoid getting into a state loop.

~0008903

ARSPR (reporter)

Just a question, Taylor.

Can you infer which steps I did to force the pilot corruption?

(I mean, maybe the best solution is fixing that way for corrupting the pilot. If there's no corrupted pilot, there's no problem).

~0009466

taylor (administrator)

Not going to work on this.

~0012555

Zacam (administrator)

To be Tested against the Antipodes 8 code.

~0014803

MjnMixael (manager)

Tested on Trunk 9593. Could not reproduce the error. New pilot code seems to have dealt with the issue. Recommend closing.

~0014824

niffiwan (developer)

Unable to reproduce either on r9596, assuming it has been resolved.
+Notes

-Issue History
Date Modified Username Field Change
2008-01-31 16:57 ARSPR New Issue
2008-01-31 16:57 ARSPR File Added: AllShivanShips.fs2
2008-01-31 16:58 ARSPR File Added: single.rar
2008-01-31 18:21 taylor Status new => assigned
2008-01-31 18:21 taylor Assigned To => taylor
2008-02-23 02:04 taylor Note Added: 0008902
2008-02-23 10:31 ARSPR Note Added: 0008903
2008-07-17 12:32 taylor Note Added: 0009466
2008-07-17 12:32 taylor Assigned To taylor =>
2008-07-17 12:32 taylor Status assigned => new
2010-12-07 13:11 The_E Category gameplay => Pilot data
2010-12-13 23:28 Zacam Note Added: 0012555
2010-12-13 23:28 Zacam Assigned To => Zacam
2010-12-13 23:28 Zacam Status new => feedback
2013-03-22 19:49 MjnMixael Note Added: 0014803
2013-03-24 05:16 niffiwan Note Added: 0014824
2013-03-24 05:16 niffiwan Status feedback => resolved
2013-03-24 05:16 niffiwan Fixed in Version => 3.7.0
2013-03-24 05:16 niffiwan Resolution open => fixed
+Issue History